=== debian/changelog ===
ros-indigo-ur-kinematics (1.1.11-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-ur-kinematics (1.1.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-ur-kinematics (1.1.9-0trusty) trusty; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-indigo-ur-kinematics (1.1.8-0trusty) trusty; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-indigo-ur-kinematics (1.1.7-0trusty) trusty; urgency=high

  * Depend on new moveit_kinematics package (#274 <https://github.com/ros-industrial/universal_robot/issues/274>).
  * Contributors: Isaac I.Y. Saito

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-indigo-ur-kinematics (1.1.6-0trusty) trusty; urgency=high

  * apply ur-kin-constants fix for ur3
  * Merge remote-tracking branch 'origin-rosi/indigo-devel' into ur-kin-constants
  * ur_kinematics: Move #defines to constants in source file.
  * ur_kinematics for ur3
  * crop ik solutions wrt joint_limits
  * Contributors: Maarten de Vries, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-ur-kinematics (1.0.2-0trusty) trusty; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-ur-kinematics (1.0.1-0trusty) trusty; urgency=high

  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * added IKfast compatibility functions
  * Ported ur_kinematics package from Georgia Tech library.  Added ability to create ur5 & ur10 kinematics libraries.  Python libaries not untested.  Kinematics still needs to be wrapped within Kinematics plugin interface
  * Contributors: IPR-SR2, Kelsey, Mathias Lüdtke, Shaun Edwards

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 30 Mar 2014 22:00:00 -0000
